package ink.wgink.login.base.config.properties;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: SystemProperties
 * @Description: 系统配置
 * @Author: WangGeng
 * @Date: 2019/9/3 10:14 上午
 * @Version: 1.0
 **/
@Component
@ConfigurationProperties(prefix = "server")
public class SystemProperties {

    private Integer port;
    private String url;
    private String ws;
    private String systemTitle;
    private String systemSubTitle;
    private String portalUrl;
    private String defaultFrame;

    public Integer getPort() {
        return port;
    }

    public void setPort(Integer port) {
        this.port = port;
    }

    public String getUrl() {
        return url == null ? "" : url.trim();
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getWs() {
        return ws == null ? "" : ws.trim();
    }

    public void setWs(String ws) {
        this.ws = ws;
    }

    public String getSystemTitle() {
        return systemTitle == null ? "" : systemTitle.trim();
    }

    public void setSystemTitle(String systemTitle) {
        this.systemTitle = systemTitle;
    }

    public String getSystemSubTitle() {
        return systemSubTitle == null ? "" : systemSubTitle.trim();
    }

    public void setSystemSubTitle(String systemSubTitle) {
        this.systemSubTitle = systemSubTitle;
    }

    public String getPortalUrl() {
        return portalUrl == null ? "" : portalUrl.trim();
    }

    public void setPortalUrl(String portalUrl) {
        this.portalUrl = portalUrl;
    }

    public String getDefaultFrame() {
        return defaultFrame == null ? "" : defaultFrame.trim();
    }

    public void setDefaultFrame(String defaultFrame) {
        this.defaultFrame = defaultFrame;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"port\":")
                .append(port);
        sb.append(",\"url\":\"")
                .append(url).append('\"');
        sb.append(",\"ws\":\"")
                .append(ws).append('\"');
        sb.append(",\"systemTitle\":\"")
                .append(systemTitle).append('\"');
        sb.append(",\"systemSubTitle\":\"")
                .append(systemSubTitle).append('\"');
        sb.append(",\"portalUrl\":\"")
                .append(portalUrl).append('\"');
        sb.append(",\"defaultFrame\":\"")
                .append(defaultFrame).append('\"');
        sb.append('}');
        return sb.toString();
    }
}
